
Summary: A command line Jabber client written in Python
Name: imcom
Version: 1.32
Release: 2
License: Other
Group: Applications/Internet
URL: http://imcom.floobin.cx/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries Apt/Yum Repository http://dries.ulyssis.org/ayo/

Source: http://imcom.floobin.cx/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
BuildRequires: python
Requires: python

%description
IMCom is a command-line Jabber client written in Python by Casey Crabb.
IMCom supports the following Jabber technologies:
* Sending/Receiving Messages
* Presence Updates
* File Transfer
* SSL Connections
* vCard retrieval and submission
* Basic Support of the jabber:iq:admin namespace
* Agent and Transport Registration
* Handles Jabber Resources properly
* Jabber Group Chat
* Jabber Multi-User-Chat (JEP0045)
* Jabber:x:data (JEP0004) (Only partial support, submit only, not retrieve)

IMCom supports the following UI stuffs:
* Command customization
* Multi-line messages
* Sending a message to a particular resource a user is logged in from
* ignore and lurker group support
* Auto-Status
* Reply/Again (sending a message to the last person to message you and sending
  a message to the last person you messaged
* Color customization
* Command Customization
* Multiple profile support
* Generic module support

%prep
%{__rm} -rf "${RPM_BUILD_ROOT}"
%setup

%build
%configure
make

%install
echo RPM_BUILD_ROOT is $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
sed -i "s/\/usr/${RPM_BUILD_ROOT//\//\\/}\/usr/g;" Makefile
make install
rm -Rf ${RPM_BUILD_ROOT}/usr/share/imcom/docs

%files
%defattr(-,root,root)
%doc README CONTRIBUTORS LICENSE README.autostatus WHATSNEW TODO docs/advanced.html docs/commands.html docs/download.html docs/imcomrc.html docs/news.html docs/template.html docs/whatis.html docs/jabberbutton.png docs/style.css
%{_bindir}/imcom
/usr/share/imcom/AccountCreator.py
/usr/share/imcom/AutoStatus.py
/usr/share/imcom/CICommands.py
/usr/share/imcom/CLI.py
/usr/share/imcom/Colors.py
/usr/share/imcom/IHTTPServer.py
/usr/share/imcom/IMCom.py
/usr/share/imcom/JabberHandler.py
/usr/share/imcom/JabberTags.py
/usr/share/imcom/LogHandler.py
/usr/share/imcom/Preferences.py
/usr/share/imcom/SocketWrapper.py
/usr/share/imcom/VCardTags.py
/usr/share/imcom/modules/__init__.py
/usr/share/imcom/modules/awaylogmodule.py
/usr/share/imcom/modules/conferencecolorsmodule.py
/usr/share/imcom/modules/examplemodule.py
/usr/share/imcom/modules/testmodule.py
/usr/share/man/man1/imcom.1.gz

%changelog
* Mon Jan 26 2004 Dries Verachtert <dries@ulyssis.org> 1.32-2
- cleanup of spec file

* Thu Dec 25 2003 Dries Verachtert <dries@ulyssis.org> 1.32-1
- first packaging for Fedora Core 1
